<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\QrCodeService;
use FM\Traits\TResponse;

class QrCodeController
{

    use TResponse;

    protected $QrCodeService;

    public function __construct(QrCodeService $QrCodeService)
    {
        $this->QrCodeService = $QrCodeService;
    }

    public function buscaTarefasPorOperador(Request $request)
    {
        try {
            $data = $this->QrCodeService->buscaTarefasPorOperador($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
