<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use FM\Traits\TQuery;

class FuncionariosHierarqFactory
{
    use TQuery;

    protected $connection;
    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
    }

    public function getLocaisHierarquia($cdOperador)
    {
        $sql = "SELECT FCM_LOCALCLI.NRLOCALCLIENTE
                    FROM FCM_LOCALCLI
                    WHERE FCM_LOCALCLI.NRLOCALCLIENTE IN (SELECT NRLOCALCLIENTE
                                                        FROM FCM_LOCALCLI LOC
                                                        START WITH NRLOCALCLIENTE IN (SELECT FCM_HIERARQUIAFUNC.NRLOCALCLIENTE
                                                                                        FROM FCM_HIERARQUIAFUNC
                                                                                        JOIN FCM_FUNCIONARIOSHIERARQ
                                                                                        ON FCM_FUNCIONARIOSHIERARQ.NRHIERARQUIAFUNC = FCM_HIERARQUIAFUNC.NRHIERARQUIAFUNC
                                                                                        WHERE FCM_FUNCIONARIOSHIERARQ.CDOPERADOR = :CDOPERADOR)
                                                        CONNECT BY PRIOR NRLOCALCLIENTE = NRLOCALCLIENTEPAI)";

        return $this->connection->executeQuery($sql, $cdOperador)->fetchAllAssociative();
    }

    public function getHierarquiaFacilities($parametros, $locais)
    {
        $sql = "SELECT DISTINCT A.CDOPERADOR
                    FROM FCM_FUNCIONARIOSHIERARQ A
                    JOIN OPERADOR B ON B.CDOPERADOR = A.CDOPERADOR
                    JOIN FCM_HIERARQUIAFUNC H ON H.NRHIERARQUIAFUNC = A.NRHIERARQUIAFUNC
                    WHERE A.NRHIERARQUIAFUNC IN (SELECT NRHIERARQUIAFUNC
                                                FROM FCM_HIERARQUIAFUNC
                                                WHERE NRLOCALCLIENTE IN ($locais))
                    AND A.CDOPERADOR IN (SELECT CDOPERADOR
                                                    FROM FCM_FUNCIONARIOSHIERARQ F
                                                    JOIN FCM_HIERARQUIAFUNC H
                                                    ON F.NRHIERARQUIAFUNC = H.NRHIERARQUIAFUNC
                                                    AND H.NRLOCALCLIENTE IN ($locais)
                                                    START WITH CDOPERADOR     = :CDOPERADOR
                                                    CONNECT BY PRIOR CDOPERADOR = CDOPERADORPAI)";

        return $this->connection->executeQuery($sql, $parametros)->fetchAllAssociative();
    }
}
