<?php

namespace FM\Service;

use FM\Factory\FuncionariosHierarqFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class FuncionariosHierarqService
{

    protected $connection;
    protected $FuncionariosHierarqFactory;
    protected $environment;
    protected $newCode;

    public function __construct(EntityManager $entityManager, FuncionariosHierarqFactory $FuncionariosHierarqFactory, Environment $Environment, NewCode $newCode)
    {
        $this->connection                   = $entityManager->getConnection();
        $this->FuncionariosHierarqFactory   = $FuncionariosHierarqFactory;
        $this->environment                  = $Environment;
        $this->newCode                      = $newCode;
    }

    public function getHierarquiaFacilities($parametros)
    {
        $param = array(
            "CDOPERADOR" => $parametros['CDOPERADOR']
        );

        return $this->FuncionariosHierarqFactory->getHierarquiaFacilities($param);
    }

    public function getLocaisHierarquia($cdOperador)
    {
        $listaLocais = null;

        $locais = $this->FuncionariosHierarqFactory->getLocaisHierarquia(array(
            "CDOPERADOR" => $cdOperador
        ));
        
        foreach ($locais as $local) {
            if ($listaLocais != null) {
                $listaLocais = $listaLocais . ",";
            }
            $listaLocais = $listaLocais . "'" . $local['NRLOCALCLIENTE'] . "'";
        }


        return $listaLocais;
    }

    public function montarHierarquiaOperadores($cdOperador)
    {
        $listaOperadores = null;

        $locais = $this->getLocaisHierarquia($cdOperador);
        $operadores = $this->FuncionariosHierarqFactory->getHierarquiaFacilities(array(
            "CDOPERADOR" => $cdOperador
        ), $locais);

        foreach ($operadores as $operador) {
            if ($listaOperadores != null) {
                $listaOperadores = $listaOperadores . ",";
            }
            $listaOperadores = $listaOperadores . "'" . $operador['CDOPERADOR'] . "'";
        }

        return empty($listaOperadores) ?  $cdOperador : $listaOperadores;
    }
}
