CREATE TABLE USR_PRODFORNCOMP_NGD
(
 CDFORNECED            VARCHAR2(100) NOT NULL,
	CDARVPROD             VARCHAR2(50)  NOT NULL,
 CDBARPRODUTO          VARCHAR2(50),
	NMPRODUTO             VARCHAR2(300) NOT NULL,
 SGUNIDADE             VARCHAR2(10)  NOT NULL,
	VRFATOCONV            FLOAT         DEFAULT 1 NOT NULL,
 CDNVPRODUTO1          VARCHAR2(100) NOT NULL,
 CDNVPRODUTO2          VARCHAR2(100) NOT NULL,
 CDNVPRODUTO3          VARCHAR2(100) NOT NULL,
 CDNVPRODUTO4          VARCHAR2(100) NOT NULL,
 IDSTATUSPROD          VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSPROD_USR_PROD_NGD CHECK (IDSTATUSPROD IN ('ATIVO','INATIVO')),
 CDNVPRODUTO5          VARCHAR2(100) NULL,
 CDNVPRODUTO6          VARCHAR2(100) NULL,
 VRFATOCONV1           FLOAT         DEFAULT 1 NULL,
 VRFATOCONV2           FLOAT         DEFAULT 1 NULL,
 VRFATOCONV3           FLOAT         DEFAULT 1 NULL,
 CDARVPRODORIG         VARCHAR2(50)  NOT NULL,
 CDBARPRODUTOORIG      VARCHAR2(50),
	NMPRODUTOORIG         VARCHAR2(300) NOT NULL,
 SGUNIDADEORIG         VARCHAR2(10)  NOT NULL,
 CDMARCAORIG           VARCHAR2(5)   NOT NULL,
 NMMARCAORIG           VARCHAR2(20)  NOT NULL,
	TPINTERFACE           VARCHAR2(01)  NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_PROD_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_PROD_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_PRODFORNCOMP_NGD PRIMARY KEY (CDFORNECED, CDARVPROD)
)
/

CREATE TABLE USR_FORNECEDOR_NGD
(
 CDFORNECED            VARCHAR2(100) NOT NULL,
	NMRAZSOCFORN          VARCHAR2(100) NOT NULL,
 NMFANTFORN            VARCHAR2(40)  NOT NULL,
	CDFORNERELAC          VARCHAR2(40),
 NMCONTFORN            VARCHAR2(40),
	DSEMAILFORN           VARCHAR2(40),
 NRFORNECEDOR_NGD      VARCHAR2(15)  DEFAULT '1' NULL,
 IDFORNECEDOR_NGD      VARCHAR2(1)   DEFAULT '0' NULL,
 IDSTATUSFORN          VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSFORN_USR_FORN_NGD CHECK (IDSTATUSFORN IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_FORN_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_FORN_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_FORNECEDOR_NGD PRIMARY KEY (CDFORNECED)
)
/

CREATE TABLE USR_FILIOPELOG_NGD
(
 CDFILIOPELOG          VARCHAR2(20)  NOT NULL,
	NMFILIAL              VARCHAR2(40)  NOT NULL,
 CDGRUPFILI1           VARCHAR2(40)  DEFAULT 'ND' NULL,
 CDGRUPFILI2           VARCHAR2(40)  DEFAULT 'ND' NULL,
 CDGRUPFILI3           VARCHAR2(40)  DEFAULT 'ND' NULL,
 CDGRUPFILI4           VARCHAR2(40)  DEFAULT 'ND' NULL,
	IDVASOCOMUNICA        FLOAT         DEFAULT 0 NULL,
 IDFREQUENCIA          FLOAT         DEFAULT 1 NULL,
 IDMAXCAPACIDADE       FLOAT         DEFAULT 0 NULL,
	OBSFILIAL             VARCHAR2(200),
 IDSTATUSFILI          VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSFILI_USR_FILOL_NGD CHECK (IDSTATUSFILI IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_FILOL_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_FILOL_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_FILIOPELOG_NGD PRIMARY KEY (CDFILIOPELOG)
)
/

CREATE TABLE USR_ITEMPRODUTO_NGD
(
 CDFILIEMIT            VARCHAR2(20)  NOT NULL,
 CDFILIRECE            VARCHAR2(20)  NOT NULL,
 CDARVPROD             VARCHAR2(50)  NOT NULL,
 DTENTRSAID            VARCHAR2(8)   NOT NULL,
 QTITEMPROD            FLOAT         NOT NULL,
 QTESTONO              FLOAT         DEFAULT 0 NOT NULL,
 VRUNITITEM            FLOAT         NOT NULL,
 VRMARGEM              FLOAT         DEFAULT 0 NOT NULL,
 CDFILIEMIT1           VARCHAR2(20)  NOT NULL,
 NMFILIRECE            VARCHAR2(20)  NOT NULL,  /*SUBSTR(NMFILIAL, 1, 20)*/
 CHAVE_NF              VARCHAR2(2000),
 IDSTATUSITMNF         VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSEST_USR_ITNFOL_NGD CHECK (IDSTATUSITMNF IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_ITNFOL_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)   NOT NULL
		CONSTRAINT CKC_STATUS_USR_ITNFOL_NGD CHECK (STATUS IN ('0','1','2','3')),
 CDFILIAL              VARCHAR2(4),
 NRLANCTONF            VARCHAR2(10),
  CONSTRAINT PK_USR_ITEMPRODUTO_NGD PRIMARY KEY (CDFILIEMIT, CDFILIRECE , CDARVPROD, DTENTRSAID)
)
/

CREATE TABLE USR_ITLANCTOEST_NGD
(
 CDFILIMOVI            VARCHAR2(20)  NOT NULL,
 CDARVPROD             VARCHAR2(50)  NOT NULL,
 DTLANCMOVI            VARCHAR2(8)   NOT NULL,
 QTTOTLANCTO           FLOAT         NOT NULL,
 VRLANCTOEST           FLOAT         NOT NULL,
 DTPOSIESTQ            DATE          NOT NULL,
 IDSTATUSEST           VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSEST_USR_ESTOL_NGD CHECK (IDSTATUSEST IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_ESTOL_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_ESTOL_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_ITLANCTOEST_NGD PRIMARY KEY (CDFILIMOVI, CDARVPROD, DTLANCMOVI)
)
/

CREATE TABLE USR_REFORFIL_NGD
(
	CDFILIOPELOG          VARCHAR2(20)  NOT NULL,
 CDFORNECED            VARCHAR2(100) NOT NULL,
 CDARVPROD             VARCHAR2(50)  NOT NULL,
 IDEMPRESADEST         FLOAT         DEFAULT 1 NOT NULL,
 CODIGO                VARCHAR2(50),
 CODIGOEST             VARCHAR2(20),
 IDEMPRESAORIG         FLOAT,
 QTDEORIG              FLOAT DEFAULT 1 NOT NULL,
 QTDEDEST              FLOAT DEFAULT 1 NOT NULL,
 VRLEADTIME            FLOAT DEFAULT 1 NOT NULL,
 VRLEADTIMEDESV        FLOAT DEFAULT 1 NOT NULL,
 QTMINAUTFOT           FLOAT DEFAULT 1 NOT NULL,
 VRARREDCMPFO          FLOAT DEFAULT 1 NOT NULL,
 IDSTATUSFORFIL        VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSEST_USR_FORFIL_NGD CHECK (IDSTATUSFORFIL IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_FORFIL_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_FORFIL_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_REFORFIL_NGD PRIMARY KEY (CDFILIOPELOG , CDFORNECED, CDARVPROD)
)
/

CREATE TABLE USR_ITEMAUTFOL_NGD
(
 NRAUTOFORN            VARCHAR2(50)  NOT NULL,
 CDFILIOPELOG          VARCHAR2(20)  NOT NULL,
 DTITEMAUTF_NGD        VARCHAR2(8)   NOT NULL,
 CDARVPROD             VARCHAR2(50)  NOT NULL,
 IDITEMAUTFOL          VARCHAR2(1)   DEFAULT 'A' NOT NULL,
 USR_NRPEDIDO          VARCHAR2(50),
 TXOBSITMAF            VARCHAR2(200),
 IDEMPRESADEST         FLOAT         DEFAULT 1 NOT NULL,
 DTPROGENTAF           VARCHAR2(8)   NOT NULL,
 QTPROGENTAF           FLOAT         NOT NULL,
 QTEFETENTRAF          FLOAT,
 IDEMPRESAORIG         FLOAT,
 CDARVPRODORIG         VARCHAR2(50)  NOT NULL,
 CDFILDEST             VARCHAR2(20)  NOT NULL,
 DTPEDIDO              VARCHAR2(8),
 QTPEDIDO              FLOAT,
 QTEXPEDIDA            FLOAT,
 CDFORNECED            VARCHAR2(100)  NOT NULL,
 IDSTATUSAFOL          VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSEST_USR_ITAFOL_NGD CHECK (IDSTATUSAFOL IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_ITAFOL_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_ITAFOL_NGD CHECK (STATUS IN ('0','1','2','3')),
 IDSTATUSFORFIL        VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTAFORFIL_USR_ITAFOL_NGD CHECK (IDSTATUSFORFIL IN ('ATIVO','INATIVO')),
  CONSTRAINT PK_USR_ITEMAUTFOL_NGD PRIMARY KEY (NRAUTOFORN, CDFILIOPELOG, DTITEMAUTF_NGD, CDARVPROD, IDITEMAUTFOL)
)
/

CREATE TABLE USR_ITEMCOLE_NGD
(
 CDFILIOPELOG          VARCHAR (20)  NOT NULL,
 CDARVPROD             VARCHAR2(20)  NOT NULL,
 IDTIPOITEMCOLE        VARCHAR2(8)   DEFAULT '1' NOT NULL,
 VRPRECUNIITM          FLOAT         NOT NULL,
 IDSTATUSITMCOL        VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSEST_USR_ITMCOL_NGD CHECK (IDSTATUSITMCOL IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_ITMCOL_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_ITMCOL_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_ITEMCOLE_NGD PRIMARY KEY (CDFILIOPELOG, CDARVPROD)
)
/

CREATE TABLE USR_ITEMAUTFDEST_NGD
(
 CDFILIOPELOG          VARCHAR (50)  NOT NULL,
 CDARVPROD             VARCHAR2(50)  NOT NULL,
 CDFILDEST             VARCHAR (50)  NOT NULL,
 DTPROGENTAF           VARCHAR2(8)   NOT NULL,
 COMPONENTE            VARCHAR2(100) DEFAULT 'CARDAPIO' NOT NULL,
 QTPROGENTAF           FLOAT         NOT NULL,
 NMFILIAL              VARCHAR (50)  NOT NULL,
 IDSTATUSITMAF         VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUS_USR_ITMDEST_NGD CHECK (IDSTATUSITMAF IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_INTERFAC_USR_ITMDEST_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_ITMDEST_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_ITEMAUTFDEST_NGD PRIMARY KEY (CDFILIOPELOG, CDARVPROD, CDFILDEST, DTPROGENTAF)
)
/

CREATE TABLE USR_AUTOFORNE_NGD
(
 USR_NRPEDIDO          VARCHAR (50)  NOT NULL,
 CDFILIOPELOG          VARCHAR (20)  NOT NULL,
 CDARVPROD             VARCHAR2(50)  NOT NULL,
 DTPROGENTAF           VARCHAR2(8)   NOT NULL,
 QTPROGENTAF           FLOAT         NOT NULL,
 VRPREUNIAF            FLOAT,
 CDFORNECED            VARCHAR2(40)  NOT NULL,
 DTOPERACAO            VARCHAR2(8)   NOT NULL,
 TXOBSITMAF            VARCHAR2(200),
 IDSTATUSAF            VARCHAR2(100) NOT NULL
		CONSTRAINT CKC_IDSTATUSEST_USR_AFOL_NGD CHECK (IDSTATUSAF IN ('ATIVO','INATIVO')),
	TPINTERFACE           VARCHAR2(01)        NOT NULL
		CONSTRAINT CKC_TPINTERFACE_USR_AFOL_NGD CHECK (TPINTERFACE IN ('I','A','E')),
	DTINTERFACEORI        DATE          NOT NULL,
	DTINTERFACEDEST       DATE,
	STATUS                VARCHAR2(1)       NOT NULL
		CONSTRAINT CKC_STATUS_USR_AFOL_NGD CHECK (STATUS IN ('0','1','2','3')),
  CONSTRAINT PK_USR_AUTOFORNE_NGD PRIMARY KEY (USR_NRPEDIDO, CDFILIOPELOG, CDFORNECED, CDARVPROD, DTPROGENTAF)
)
/

CREATE TABLE USR_LOG_NGD
(
 IDPROCESSO            VARCHAR (50)  NOT NULL,
 IDPESQITEM            VARCHAR2(300) NOT NULL,
 DTLOG                 DATE          NOT NULL,
 STATUS                VARCHAR2(1)   NOT NULL
  CONSTRAINT CKC_STATUS_USR_LOG_NGD CHECK (STATUS IN ('0','1')),
 OBSSTATUS             VARCHAR (300),
 NRORG                 NUMBER DEFAULT      SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 IDATIVO               VARCHAR2(1)     DEFAULT 'S' NOT NULL,
 DTINCLUSAO            DATE                   NULL,
 DTULTATU              DATE                  NULL,
 NRORGINCLUSAO         NUMBER             DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERINCLUSAO        VARCHAR2(12) NULL,
 NRORGULTATU           NUMBER             DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU          VARCHAR2(12)
)
/

CREATE INDEX ID_USR_LOG_NGD_01 ON USR_LOG_NGD(IDPROCESSO, DTLOG, STATUS);
/

/*Upload  Itens*/
ALTER TABLE PRODUTO ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_PRODUTO CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

ALTER TABLE RELACPRODOL ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_RELACOL CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

ALTER TABLE PRODFORNCOMP ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_PRODFORN CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

ALTER TABLE MARCA ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_MARC CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

/*Upload  Cadastro de Fornecedores*/
ALTER TABLE FORNECEDOR ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_FORN CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

ALTER TABLE MARCA ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_MARC CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

ALTER TABLE ENDEFORN ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_ENDFORN CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

/*Upload  Local de Estoque*/
ALTER TABLE FILIAL ADD USR_NGD_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_NGD_INT_FILOL CHECK ((USR_NGD_INTEGRADO IN ('S','N')) OR (USR_NGD_INTEGRADO IS NULL))
/

/*Upload  Movimentao DFU*/
ALTER TABLE ITEMPRODUTO ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

CREATE INDEX ID_USR_ITEMPRODUTO_NGD_01 ON USR_ITEMPRODUTO_NGD (CDFILIAL, NRLANCTONF);
/

CREATE INDEX ID_USR_ITEMPRODUTO_NGD_02 ON USR_ITEMPRODUTO_NGD(CHAVE_NF)
/

CREATE INDEX ID_USR_ITEMPRODUTO_NGD_03 ON USR_ITEMPRODUTO_NGD(CHAVE_NF, CDARVPROD)
/
CREATE INDEX ID_ITEMPRODUTO_NGD_01 ON ITEMPRODUTO(CDFILIAL, NRLANCTONF, CDPRODUTO, NVL(USR_NGD_INTEGRADO, 'N'))
/

/*Upload - Movimentao SKU atualizao de estoque*/
ALTER TABLE POSESTDIA ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

/*Upload - Origem da SKU*/
ALTER TABLE RELACPRODOL ADD USR_NGD_INTEGRADO_1 VARCHAR2(1)
/

ALTER TABLE PRODFORNCOMP ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

ALTER TABLE FORNECEDOR ADD USR_NGD_INTEGRADO_1 VARCHAR2(1)
/

ALTER TABLE PRAZOFORNEXPEDFIL ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

ALTER TABLE MINFORNREG ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

/*Upload  Linha de Pedidos Colocados*/
ALTER TABLE AUTOFORNE ADD USR_NRPEDIDO VARCHAR2(50)
/

/*Upload  Condio comercial da SKU - Informao de preos*/
ALTER TABLE ITEMCOLE ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

CREATE INDEX USR_LOG_NGD_01 ON USR_LOG_NGD(IDPESQITEM,IDPROCESSO)
/

/*Upload  Componente Planejamento Semanal*/
ALTER TABLE AUTOFORNE ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

ALTER TABLE ITEMAUTF ADD USR_NGD_INTEGRADO VARCHAR2(1)
/

/*Linha de Pedidos Liberados*/
ALTER TABLE AUTOFORNE ADD USR_NRPEDIDO_NGD VARCHAR(50)
/

-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZACAO_ESTRUTURA_BD','6.37.015'); END;
/
